Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022993
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-02-06 17:372013-04-03 12:56
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision183e419b346f
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022993: Applying "manual" discounts, we get NumberFormatException sending the information to the server

DescriptionApplying "manual" discounts, we get NumberFormatException sending the information to the server
Steps To Reproduce- Add a product
- Click on the line
- Add a discount using "discount" button in the keyboard.
- Pay the receipt
- Go to sales order (No order)
- Go to Errors while importing POS data, you get:


java.lang.NumberFormatException
    at java.math.BigDecimal.<init>(BigDecimal.java:459)
    at java.math.BigDecimal.<init>(BigDecimal.java:728)
    at org.openbravo.retail.posterminal.JSONPropertyToEntity.fillBobFromJSON(JSONPropertyToEntity.java:89)
    at org.openbravo.retail.posterminal.OrderLoader.createOrderLines(OrderLoader.java:752)
    at org.openbravo.retail.posterminal.OrderLoader.saveOrder(OrderLoader.java:234)
    at org.openbravo.retail.posterminal.OrderLoader.saveOrder(OrderLoader.java:146)
    at org.openbravo.retail.posterminal.OrderLoader.exec(OrderLoader.java:126)
    at org.openbravo.retail.posterminal.JSONProcessSimple.exec(JSONProcessSimple.java:25)
    at org.openbravo.retail.posterminal.TerminalServlet.execClassName(TerminalServlet.java:154)
    at org.openbravo.retail.posterminal.TerminalServlet.doGetOrPost(TerminalServlet.java:77)
    at org.openbravo.retail.posterminal.TerminalServlet.doPost(TerminalServlet.java:48)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:225)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:437)
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:87)
    at org.openbravo.retail.posterminal.WebServiceAuthenticatedServlet.service(WebServiceAuthenticatedServlet.java:52)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
    at org.apache.coyote.http11.Http11AprProcessor.process(Http11AprProcessor.java:877)
    at org.apache.coyote.http11.Http11AprProtocol$Http11ConnectionHandler.process(Http11AprProtocol.java:594)
    at org.apache.tomcat.util.net.AprEndpoint$Worker.run(AprEndpoint.java:1675)
    at java.lang.Thread.run(Thread.java:662)



With this object for example:

{"hasbeenpaid":"Y","isbeingprocessed":"N","id":"B47D58E5EE8F54207B450F0089FF09E3","session":"18D86096F9C412D2284F5E0B7A68CC43","client":"39363B0921BB4293B48383844325E84C","organization":"D270A5AC50874F8BA67A88EE977F8E3B","documentType":"511A9371A0F74195AA3F6D66C722729D","createdBy":"E49545E7D0A2413E90C31C2CDC2153B1","updatedBy":"E49545E7D0A2413E90C31C2CDC2153B1","orderType":0,"generateInvoice":false,"isQuotation":false,"oldId":null,"priceList":"496CF965DF9744D2A41248392D1DE407","priceIncludesTax":true,"currency":"102","currency$_identifier":"EUR","warehouse":"A154EC30A296479BB078B0AFFD74CA22","salesRepresentative":"E49545E7D0A2413E90C31C2CDC2153B1","salesRepresentative$_identifier":"Demo User","posTerminal":"9104513C2D0741D4850AE8493998A7C8","posTerminal$_identifier":"VBS POS Terminal","orderDate":"2013-02-06T16:20:18.501Z","documentNo":"VBS1\/0000226","bp":{"id":"ABD91C9D3BC94175B876FBBE9CACA008","organization":"D270A5AC50874F8BA67A88EE977F8E3B","searchKey":"VBS\/C0001","name":"VBS Customer","description":null,"taxID":null,"taxCategory":null,"paymentMethod":"45A202BF44884F05B8A1BF741E2063B6","paymentTerms":"D8955F8808A54C63BBF478A6843D834D","priceList":"496CF965DF9744D2A41248392D1DE407","invoiceTerms":"I","locId":"2AA7EADDF7EC405899262DDA3E572436","locName":".Barcelona, Pau Claris 138 1-1","postalCode":"08009","cityName":"Barcelona","contactId":"032576220FC44B0DA80145B3265E4D9A","phone":null,"email":null,"businessPartnerCategory":"B1DD8B371643421C987EF1D5B358D5E9","businessPartnerCategory_name":"Customer","creditLimit":5000,"creditUsed":72353.31,"_identifier":"VBS Customer","_idx":4},"lines":[{"product":{"id":"DEB0C06AD8B84E6BBFD513502CBE4D3A","uPCEAN":"0000001688238","uOM":"100","uOMsymbol":"Ud ","productCategory":"0C20B3F7AB234915B2239FCD8BE10CD1","taxCategory":"FF80818123B7FC160123B804AB88000B","description":"Classic, bomber expedition duffel. 70 L.","obposScale":false,"groupProduct":true,"stocked":true,"showstock":false,"bestseller":false,"ispack":false,"listPrice":89.5,"standardPrice":89.5,"priceLimit":89.5,"cost":0,"_identifier":"Base camp duffel 70 L","_idx":7},"productidentifier":null,"uOM":"100","qty":1,"price":86.82,"priceList":89.5,"gross":86.82,"net":84.27,"description":"","priceIncludesTax":true,"promotions":null,"discountedLinePrice":null,"promotionCandidates":null,"linerate":{"ind":1,"form":0,"mant":[1,0,3,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],"exp":-40},"tax":"7FC4F8AC369C451E8064E328727386AE","taxAmount":2.55,"pricenet":84.27,"taxLines":{"E98101FF397C48DB96E23882D5531098":{"rate":1,"net":84.27,"amount":0.84},"1BFBDF69A211487480839D1190E217A4":{"rate":2,"net":85.11,"amount":1.7}},"discountPercentage":2.99,"grossListPrice":{"ind":1,"form":0,"mant":[8,9,5],"exp":-1},"grossUnitPrice":86.82,"lineGrossAmount":86.82}],"payments":[{"amount":86.82,"origAmount":86.82,"paid":86.82,"kind":"OBPOS_payment.cash","name":"Cash","rate":"1","mulrate":"1","isocode":"EUR","openDrawer":false}],"payment":86.82,"change":0,"qty":1,"gross":86.82,"net":84.27,"taxes":{"E98101FF397C48DB96E23882D5531098":{"name":"Test child 1","rate":1,"net":84.27,"amount":0.84},"1BFBDF69A211487480839D1190E217A4":{"name":"Test child 2","rate":2,"net":85.11,"amount":1.7}},"description":"","print":true,"sendEmail":false,"isPaid":false,"isEditable":true,"openDrawer":false,"timezoneOffset":-60,"created":1360167640269}
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056233)
migueldejuana (developer)
2013-02-06 17:57

This parameter : grossListPrice":{"ind":1,"form":0,"mant":[8,9,5],"exp":-1}
has an object and it should have a value. (JSONPropertyToEntity.java:89)
(0056241)
hgbot (developer)
2013-02-07 10:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a46d33033f16582253f09a5af261d152c9d460f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 07 10:28:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a46d33033f16582253f09a5af261d152c9d460f [^]

Fixed issue 22993: grossListPrices now is a value, no an object

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056247)
guilleaer (developer)
2013-02-07 11:16

verified.

ready for RMP19.1
(0056376)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 183e419b346fad5bd48d99150df79305254302ec
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 07 10:28:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/183e419b346fad5bd48d99150df79305254302ec [^]

Fixed issue 22993: grossListPrices now is a value, no an object

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056458)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 183e419b346fad5bd48d99150df79305254302ec
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 07 10:28:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/183e419b346fad5bd48d99150df79305254302ec [^]

Fixed issue 22993: grossListPrices now is a value, no an object

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057609)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 5a46d33033f16582253f09a5af261d152c9d460f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 07 10:28:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5a46d33033f16582253f09a5af261d152c9d460f [^]

Fixed issue 22993: grossListPrices now is a value, no an object

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057622)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 183e419b346fad5bd48d99150df79305254302ec
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 07 10:28:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/183e419b346fad5bd48d99150df79305254302ec [^]

Fixed issue 22993: grossListPrices now is a value, no an object

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-02-06 17:37 migueldejuana New Issue
2013-02-06 17:37 migueldejuana Assigned To => migueldejuana
2013-02-06 17:57 migueldejuana Note Added: 0056233
2013-02-07 10:28 hgbot Checkin
2013-02-07 10:28 hgbot Note Added: 0056241
2013-02-07 10:28 hgbot Status new => resolved
2013-02-07 10:28 hgbot Resolution open => fixed
2013-02-07 10:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a46d33033f16582253f09a5af261d152c9d460f [^]
2013-02-07 11:16 guilleaer Review Assigned To => guilleaer
2013-02-07 11:16 guilleaer Note Added: 0056247
2013-02-07 11:16 guilleaer Status resolved => closed
2013-02-07 11:16 guilleaer Fixed in Version => RMP19
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056376
2013-02-12 13:14 hgbot Status closed => resolved
2013-02-12 13:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a46d33033f16582253f09a5af261d152c9d460f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/183e419b346fad5bd48d99150df79305254302ec [^]
2013-02-12 13:32 marvintm Status resolved => closed
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056458
2013-02-15 09:07 hgbot Status closed => resolved
2013-02-15 09:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/183e419b346fad5bd48d99150df79305254302ec [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/183e419b346fad5bd48d99150df79305254302ec [^]
2013-02-28 08:42 marvintm Status resolved => closed
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057609
2013-04-02 20:05 hgbot Status closed => resolved
2013-04-02 20:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/183e419b346fad5bd48d99150df79305254302ec [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5a46d33033f16582253f09a5af261d152c9d460f [^]
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057622
2013-04-02 20:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5a46d33033f16582253f09a5af261d152c9d460f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/183e419b346fad5bd48d99150df79305254302ec [^]
2013-04-03 12:56 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker